#include <iostream>
#include <fstream>
#include <string.h>
using namespace std;
int main()
{
    ifstream f1("doixung.inp");
    ofstream f2("doixung.out");
    string s, s1="";
    getline(f1,s);
    for(int i=s.length()-1; i>=0; i--)
        s1=s1+s[i];
    if(s1==s)
        f2<<1;
    else
        f2<<2;

    f1.close();
    f2.close();
}
